## qubes-ctap 2.0.6+deb12u1+devel1

=== Documentation/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = QubesCTAPproxy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

MANDIR = /usr/share/man
install:
	for chapter in 1 8; do \
		install -d $(DESTDIR)$(MANDIR)/man$${chapter}; \
		install -t $(DESTDIR)$(MANDIR)/man$${chapter} \
			$(BUILDDIR)/man/*.$${chapter}*; \
	done

.PHONY: help install Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== ci/requirements.txt ===
# WARNING: those requirements are used only for travis-ci.org
# they SHOULD NOT be used under normal conditions; use system package manager
pylint
codecov
pytest
fido2>=1.1.0

=== debian/changelog ===
qubes-ctap (2.0.6+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 13:19:30 +0000

qubes-ctap (2.0.6) unstable; urgency=medium

  [ Piotr Bartman-Szwarc ]
  * forbid circular proxying

  [ Marek Marczykowski-Górecki ]
  * Adjust for pylint update
  * Update codecov wrapper
  * ci: remove R4.1, add R4.3

  [ Piotr Bartman-Szwarc ]
  * quick fix: do not include protected members of parent class in
    construction of derived class

  [ Marek Marczykowski-Górecki ]
  * Adjust type hint
  * Add missing docstring

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Jan 2025 23:21:50 +0100

qubes-ctap (2.0.5) unstable; urgency=medium

  [ Yanase Yuki ]
  * rpm: add python3-packaging to Requires

  [ Ben Grande ]
  * debian: require python3-packaging

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Jan 2024 20:45:00 +0100

qubes-ctap (2.0.4) unstable; urgency=medium

  * Advertise both qubes-ctap-proxy and qubes-u2f-proxy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Sep 2023 05:07:55 +0200

qubes-ctap (2.0.3) unstable; urgency=medium

  * debian: require new enough python3-fido2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Sep 2023 04:26:45 +0200

qubes-ctap (2.0.2) unstable; urgency=medium

  * Exclude package on Debian 10 and 11

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Sep 2023 16:07:46 +0200

qubes-ctap (2.0.1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update for Fedora 39

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 11 Sep 2023 01:00:59 +0200

qubes-ctap (2.0.0) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Remove mentions of end-of-life software
  * Truncate /etc/qubes-rpc/policy/u2f.Authenticate

  [ Piotr Bartman ]
  * migration to fido2
  * migration to fido2: CI
  * migration to fido2: simplyfy from_bytes
  * migration to fido2: fido2 in ci/requirements
  * migration to fido2: mypy
  * migration to fido2: drops deprecated package 'distutils.version'
  * migration to fido2: renaming
  * migration to fido2: add docs
  * migration to fido2: trim allowlist
  * migration to fido2: update architecture
  * migration to fido2: pylint + changelog update
  * migration to fido2: change the message to more informative
  * migration to fido2: just raise error for CTAP2 request for CTAP1
    device
  * migration to fido2: backward compatible policies names
  * migration to fido2: backward compatible service running
  * migration to fido2: fix compatibility for legacy devices
  * migration to fido2: fix NotImplementedError when there is no device
  * migration to fido2: wait for the user to insert the key
  * migration to fido2: better error message

  [ Marek Marczykowski-Górecki ]
  * Fix documentation formatting
  * Update policy files to new keywords
  * Do not install policy files on R4.2 anymore
  * Adjust package metadata for clean migration
  * rpm: include generated changelog
  * rpm: fix packaging man pages

  [ Piotr Bartman ]
  * handle disabled ctap.ClientPin

 -- Piotr Bartman <prbartman@invisiblethingslab.com>  Mon, 17 Jul 2023 03:10:31 +0200

qubes-u2f (1.2.10) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Disable build for centos-stream too

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * debian: ensure to clean pycache artifacts
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * Disable on centos-stream8 with builderv2 too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Nov 2022 16:20:20 +0100

qubes-u2f (1.2.9) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 May 2021 04:22:49 +0200

qubes-u2f (1.2.8) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Jan 2021 01:26:37 +0100

qubes-u2f (1.2.7) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Jan 2021 01:25:46 +0100

qubes-u2f (1.2.6) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * Update travis
  * Add .gitlab-ci.yml
  * debian: update control && compat
  * debian: update python deps
  * Fix build with python3 for CentOS

  [ Marek Marczykowski-Górecki ]
  * Exclude CentOS build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Jan 2021 01:06:43 +0100

qubes-u2f (1.2.5) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Oct 2019 04:38:49 +0100

qubes-u2f (1.2.4) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix typo in qubes-u2fproxy.service file
  * travis: switch to xenial, update distributions

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Oct 2019 04:25:12 +0100

qubes-u2f (1.2.3) unstable; urgency=medium

  * rpm: make the package centos-friendly
  * exclude build on centos7
  * Use simplified script for /usr/bin
  * add shebang to /etc/qubes-rpc/* scripts
  * Advertise qubes-u2f-proxy service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 03 Nov 2018 04:33:55 +0100

qubes-u2f (1.2.2) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Sep 2018 21:21:34 +0200

qubes-u2f (1.2.1) unstable; urgency=medium

  [ Wojtek Porczyk ]
  * README: HOWTO

  [ Marek Marczykowski-Górecki ]
  * rpm: update packaging for mockbuild
  * travis: initial version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Sep 2018 21:02:28 +0200

qubes-u2f (1.2.0) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]


=== debian/control ===
Source: qubes-ctap
Section: utils
Priority: optional
Maintainer: Piotr Bartman <prbartman@invisiblethingslab.com>
Build-Depends:
 debhelper,
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx
X-Python3-Version: >= 3.7
Standards-Version: 4.4.0.1
Homepage: https://github.com/QubesOS/qubes-app-u2f.git
Vcs-Git: https://github.com/QubesOS/qubes-app-u2f.git
Vcs-Browser: https://github.com/QubesOS/qubes-app-u2f.git

Package: qubes-ctap
Architecture: all
Depends:
 python3-fido2 (>= 1.0.0),
 python3-packaging,
 ${python3:Depends},
 ${misc:Depends}
Replaces: qubes-u2f (<< 2.0.0)
Breaks: qubes-u2f (<< 2.0.0)
Description: Qubes OS CTAP proxy
 A secure forwarder for CTAP messages.

Package: qubes-u2f
Architecture: all
Depends:
 qubes-ctap,
Description: Transitional package for qubes-ctap
 The package was renamed to qubes-ctap.
 This transitional package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=qubesctap

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C Documentation man

override_dh_install:
	make install DESTDIR=$(CURDIR)/debian/qubes-ctap \
		SETUPOPTS=--install-layout=deb \
		UNITDIR=/lib/systemd/system \
		PRESETDIR=/lib/systemd/system-preset
	$(MAKE) -C Documentation install DESTDIR=$(CURDIR)/debian/qubes-ctap

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	make clean

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## qubes-ctap 2.0.7+deb12u1

=== debian/changelog ===
qubes-ctap (2.0.7+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 18 Feb 2026 18:57:49 +0100

qubes-ctap (2.0.7) unstable; urgency=medium

  [ 3np ]
  * mypy type fix: kwargs keys must be str

  [ Alex Mazzariol ]
  * fix: migrate asyncio-policy pattern usage to newer patterns; fix
    tests.
  * fix: pylint issues
  * fix: test coverage (both patch and overall)
  * feat: restore CborResponseWrapper from_bytes decode+encode match
    check
  * fix: add main() function to console apps

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 Feb 2026 18:57:49 +0100

## qubes-ctap 2.0.7+deb13u1

=== debian/changelog ===
qubes-ctap (2.0.7+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 18 Feb 2026 18:57:49 +0100
